## indi-sx 1.15+20220129131520

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi_sx CXX C)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)
set(RULES_INSTALL_DIR "/lib/udev/rules.d/")

SET(CMAKE_CXX_STANDARD 11)
set (VERSION_MAJOR 1)
set (VERSION_MINOR 15)

configure_file (
  "${CMAKE_CURRENT_SOURCE_DIR}/sxconfig.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/sxconfig.h"
  )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_sx.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_sx.xml )

find_package(CFITSIO REQUIRED)
find_package(USB1 REQUIRED)
find_package(INDI REQUIRED)
find_package(Threads REQUIRED)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${INDI_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})

include(CMakeCommon)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-usb.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-usb.h)

set(indisxccd_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/sxccd.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/sxccdusb.cpp
   )

add_executable(indi_sx_ccd ${indisxccd_SRCS})
target_link_libraries(indi_sx_ccd ${INDI_LIBRARIES} ${USB1_LIBRARIES})

#IF (APPLE)
#set(indisxwheel_SRCS
#  ${CMAKE_CURRENT_SOURCE_DIR}/sxwheel.cpp
#  ${CMAKE_CURRENT_SOURCE_DIR}/hid_mac.c
#  )
#ELSEIF (WIN32)
#set(indisxwheel_SRCS
#  ${CMAKE_CURRENT_SOURCE_DIR}/sxwheel.cpp
#  ${CMAKE_CURRENT_SOURCE_DIR}/hid_win.c
#  )
#ELSE ()
#include_directories(${USB1_INCLUDE_DIRS})
#set(indisxwheel_SRCS
#  ${CMAKE_CURRENT_SOURCE_DIR}/sxwheel.cpp
#  ${CMAKE_CURRENT_SOURCE_DIR}/hid_libusb.c
#  )
#ENDIF()

#add_executable(indi_sx_wheel ${indisxwheel_SRCS})
add_executable(indi_sx_wheel ${CMAKE_CURRENT_SOURCE_DIR}/sxwheel.cpp)
IF (APPLE)
set(CMAKE_EXE_LINKER_FLAGS "-framework IOKit -framework CoreFoundation")
target_link_libraries(indi_sx_wheel ${INDI_LIBRARIES} ${LIBUSB_LIBRARIES})
ELSEIF (WIN32)
ELSE ()
target_link_libraries(indi_sx_wheel ${INDI_LIBRARIES} ${USB1_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
ENDIF()

if (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
target_link_libraries(indi_sx_wheel rt)
endif (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")

set(indisxao_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/sxao.cpp
   )

add_executable(indi_sx_ao ${indisxao_SRCS})
target_link_libraries(indi_sx_ao ${INDI_LIBRARIES})

set(sx_ccd_test_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/sxccdtest.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/sxccdusb.cpp
   )

add_executable(sx_ccd_test ${sx_ccd_test_SRCS})
target_link_libraries(sx_ccd_test ${USB1_LIBRARIES})

install(TARGETS indi_sx_ccd RUNTIME DESTINATION bin)
install(TARGETS indi_sx_wheel RUNTIME DESTINATION bin)
install(TARGETS indi_sx_ao RUNTIME DESTINATION bin)
install(TARGETS sx_ccd_test RUNTIME DESTINATION bin)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_sx.xml DESTINATION ${INDI_DATA_DIR})

set (CPACK_PACKAGE_NAME "sxccd")
set (CPACK_PACKAGE_VENDOR "CloudMakers, s. r. o.")
set (CPACK_PACKAGE_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}")
set (CPACK_PACKAGE_CONTACT "Peter Polakovic <peter.polakovic@cloudmakers.eu>")
set (CPACK_PACKAGE_DESCRIPTION_SUMMARY "INDI Driver for SX CCD, FW wheel and AO")
set (CPACK_PACKAGE_DESCRIPTION "This driver for INDI 0.9.7 supports SXVF-xxx, SXVR-xxx, LodeStar, CoStar and SuperStar cameras with full cooler and guider port control, USB Filter Wheel and Active Optics device.")

if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  file (WRITE "README.txt" "${CPACK_PACKAGE_DESCRIPTION_SUMMARY}\nVersion ${CPACK_PACKAGE_VERSION}\n\n${CPACK_PACKAGE_DESCRIPTION}\n\nVisit http://www.cloudmakers.eu/indi to learn more.")
  set (CPACK_GENERATOR "PackageMaker")
  set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYRIGHT.txt")
  set (CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README.txt")
  set (CPACK_PACKAGING_INSTALL_PREFIX "/usr/local")
  set (CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  install(FILES 99-sx.rules DESTINATION ${RULES_INSTALL_DIR})
  set (CPACK_DEBIAN_PACKAGE_DESCRIPTION "${CPACK_PACKAGE_DESCRIPTION_SUMMARY}\n  ${CPACK_PACKAGE_DESCRIPTION}")
  set (CPACK_RPM_PACKAGE_DESCRIPTION ${CPACK_PACKAGE_DESCRIPTION})
  set (CPACK_GENERATOR "DEB;RPM")
  set (CPACK_DEBIAN_PACKAGE_DEPENDS "indi-bin (>= 0.9.7)")
  set (CPACK_DEBIAN_PACKAGE_SECTION "Science")
  set (CPACK_RPM_PACKAGE_DEPENDS "indi-bin >= 0.9.7")
  set (CPACK_RPM_PACKAGE_GROUP "Applications/Science")
  set (CPACK_PACKAGING_INSTALL_PREFIX "/usr")
  if (CMAKE_SYSTEM_PROCESSOR MATCHES "arm.*")
    set (CPACK_GENERATOR "DEB")
    set (CPACK_DEBIAN_PACKAGE_ARCHITECTURE "armhf")
    set (CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}")
  elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
    set (CPACK_GENERATOR "DEB;RPM")
    set (CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
    set (CPACK_RPM_PACKAGE_ARCHITECTURE "x86_64")
    set (CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}")
  elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "i[3-6]86")
    set (CPACK_GENERATOR "DEB;RPM")
    set (CPACK_DEBIAN_PACKAGE_ARCHITECTURE "i386")
    set (CPACK_RPM_PACKAGE_ARCHITECTURE "i386")
    set (CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}")
  endif ()
endif ()

include (CPack)

## indi-sx 1.15%2B20220129131520

=== debian/changelog ===
indi-sx (1.15+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 17:06:21 +0000

indi-sx (1.15-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 08 Dec 2021 22:30:07 +0100

indi-sx (1.15-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 Dec 2021 17:30:07 +0100

=== debian/control ===
Source: indi-sx
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libcfitsio-dev
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-sx
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-sx.git

Package: indi-sx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Starlight Xpress CCD and Filter Wheel
 This package contains the INDI driver for Startlight XPress CCD and
 filter wheel.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.

## indi-sx 1.15+20220611132721

=== debian/changelog ===
indi-sx (1.15+20220611132721-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 13:27:32 +0000

## indi-sx 1.16%2B20221222162728

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUDEVRULES_INSTALL_DIR=$(shell pkg-config --variable=udevdir udev)/rules.d

## indi-sx 1.16+20221222162728

=== debian/changelog ===
indi-sx (1.16+20221222162728-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113035)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:38:38 +0200

indi-sx (1.16+20221222162728-2) unstable; urgency=medium

  * Use udev.pc to place udev files. (Closes: #1058847)
    Thanks to Chris Hofstaedtler for the patch
    - debian/control: update dependencies for /usr-merge
    - debian/rules: Use udev.pc to place udev files.
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/copyright: update years
  * add upstream metadata
  * add CMakelists-UDEVRULES_INSTALL_DIR.patch
    Thanks to Chris Hofstaedtler for the patch

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 21 Dec 2023 18:50:02 +0100

indi-sx (1.16+20221222162728-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.16

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Dec 2022 16:28:43 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,9 @@
 	, libindi-dev
 	, zlib1g-dev
 	, libnova-dev
-Standards-Version: 4.6.0
+	, pkgconf
+	, systemd-dev
+Standards-Version: 4.6.2
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
